Arch MergeWalls/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/fr|Fermer les trous|Vérification|Arch|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check....")
No edit summary
Line 2: Line 2:
{{docnav/fr|[[Arch_CloseHoles/fr|Fermer les trous]]|[[Arch_Check/fr|Vérification]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav/fr|[[Arch_CloseHoles/fr|Fermer les trous]]|[[Arch_Check/fr|Vérification]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


{{GuiCommand/fr
<div class="mw-translate-fuzzy">
|Name=Arch MergeWalls
{{GuiCommand/fr|Name=Arch MergeWalls|Name/fr=Arc FusionnerMurs|Workbenches=[[Arch Module|Arch]]|MenuLocation=Architecture → Utilitaires → Fusionner des Murs|Shortcut=|SeeAlso=}}
|Name/fr=Fusionner des murs
</div>
|MenuLocation=Architecture → Utilitaires → Fusionner des murs
|Workbenches=[[Arch Module|Atelier architecture]]
|SeeAlso=[[Arch Wall/fr|Murs]]
}}


==Description==
==Description==

Revision as of 16:15, 1 May 2019

Fusionner des murs

Emplacement du menu
Architecture → Utilitaires → Fusionner des murs
Ateliers
Atelier architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Murs

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Utilisation

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])